Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc
Interface MUCEventListener

All Known Implementing Classes:
  ClearspaceMUCTranscriptManager

    public interface MUCEventListener

Interface to listen for MUC events. Use the `MUCEventDispatcher.addListener(MUCEventListener)` method to register for events.

Author:
  Gaston Dombiak

Method Summary
`void` | `messageReceived(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String nickname, org.xmpp.packet.Message message)` Event triggered when a room occupant sent a message to a room.
`void` | `nicknameChanged(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String oldNickname, String newNickname)` Event triggered when an occupant changed his nickname in a room.
`void` | `occupantJoined(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String nickname)` Event triggered when a new occupant joins a room.
`void` | `occupantLeft(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user)` Event triggered when an occupant left a room.
`void` | `privateMessageRecieved(org.xmpp.packet.JID toJID, org.xmpp.packet.JID fromJID, org.xmpp.packet.Message message)` Event triggered when a room occupant sent a private message to another room user
`void` | `roomCreated(org.xmpp.packet.JID roomJID)` Event triggered when a new room was created.
`void` | `roomDestroyed(org.xmpp.packet.JID roomJID)` Event triggered when a room was destroyed.
`void` | `roomSubjectChanged(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String newSubject)` Event triggered when the subject of a room is changed.

Method Detail

### roomCreated

    void roomCreated(org.xmpp.packet.JID roomJID)

  Event triggered when a new room was created.

  Parameters:
    `roomJID` - JID of the room that was created.

### roomDestroyed

    void roomDestroyed(org.xmpp.packet.JID roomJID)

  Event triggered when a room was destroyed.

  Parameters:
    `roomJID` - JID of the room that was destroyed.

### occupantJoined

    void occupantJoined(org.xmpp.packet.JID roomJID,
                        org.xmpp.packet.JID user,
                        String nickname)

  Event triggered when a new occupant joins a room.

  Parameters:
    `roomJID` - the JID of the room where the occupant has joined.
    `user` - the JID of the user joining the room.
    `nickname` - nickname of the user in the room.

### occupantLeft

    void occupantLeft(org.xmpp.packet.JID roomJID,
                      org.xmpp.packet.JID user)

  Event triggered when an occupant left a room.

  Parameters:
    `roomJID` - the JID of the room where the occupant has left.
    `user` - the JID of the user leaving the room.

### nicknameChanged

    void nicknameChanged(org.xmpp.packet.JID roomJID,
                         org.xmpp.packet.JID user,
                         String oldNickname,
                         String newNickname)

  Event triggered when an occupant changed his nickname in a room.

  Parameters:
    `roomJID` - the JID of the room where the user changed his nickname.
    `user` - the JID of the user that changed his nickname.
    `oldNickname` - old nickname of the user in the room.
    `newNickname` - new nickname of the user in the room.

### messageReceived

    void messageReceived(org.xmpp.packet.JID roomJID,
                         org.xmpp.packet.JID user,
                         String nickname,
                         org.xmpp.packet.Message message)

  Event triggered when a room occupant sent a message to a room.

  Parameters:
    `roomJID` - the JID of the room that received the message.
    `user` - the JID of the user that sent the message.
    `nickname` - nickname used by the user when sending the message.
    `message` - the message sent by the room occupant.

### privateMessageRecieved

    void privateMessageRecieved(org.xmpp.packet.JID toJID,
                                org.xmpp.packet.JID fromJID,
                                org.xmpp.packet.Message message)

  Event triggered when a room occupant sent a private message to another room user

  Parameters:
    `toJID` - the JID of who the message is to.
    `fromJID` - the JID of who the message came from.
    `message` - the message sent to user.

### roomSubjectChanged

    void roomSubjectChanged(org.xmpp.packet.JID roomJID,
                            org.xmpp.packet.JID user,
                            String newSubject)

  Event triggered when the subject of a room is changed.

  Parameters:
    `roomJID` - the JID of the room that had its subject changed.
    `user` - the JID of the user that changed the subject.
    `newSubject` - new room subject.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.